Page MenuHomeFreeBSD

Add support for exynos5_ehci in loader
ClosedPublic

Authored by wma_semihalf.com on Nov 17 2015, 11:17 AM.

Details

Summary

Add all missing functionality to allow runing Exynos5 EHCI controller inside loader.

Any user application (including loader) should provide three callbacks for allocating resources & ofw parsing:
extern int (*bus_alloc_resource_any_cb)(struct resource *res, device_t dev,

int type, int *rid, unsigned int flags);

extern int (*ofw_bus_status_ok_cb)(device_t dev);
extern int (*ofw_bus_is_compatible_cb)(device_t dev, char *name);

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

wma_semihalf.com retitled this revision from to Add support for exynos5_ehci in loader.
wma_semihalf.com updated this object.
wma_semihalf.com edited the test plan for this revision. (Show Details)
wma_semihalf.com added reviewers: zbb, br, hselasky, andrew.
andrew edited edge metadata.Nov 17 2015, 11:31 AM

Why are you accessing this directly, and not through the U-Boot API?

The goal for this thing is to have the USB controller (sys/boot/usb & sys/boot/kshim library) independent of u-boot.

hselasky added inline comments.Nov 17 2015, 1:41 PM
sys/boot/kshim/bsd_kernel.c
1021 ↗(On Diff #10263)

I think it should be possible to remove this first check. Can you run a test only replacing "mod->mod_name" with "mod->driver->name" ?

wma_semihalf.com edited edge metadata.

Removed the first check.

wma_semihalf.com marked an inline comment as done.Nov 21 2015, 11:52 AM

Any other comments?

hselasky edited edge metadata.Nov 21 2015, 4:20 PM
This comment was removed by hselasky.
hselasky accepted this revision.Nov 22 2015, 9:35 AM
hselasky edited edge metadata.

Looks good. Approved!

This revision is now accepted and ready to land.Nov 22 2015, 9:35 AM
This revision was automatically updated to reflect the committed changes.